.\" ====================================================================
.\"  @Troff-man-file{
.\"     author          = "Nelson H. F. Beebe",
.\"     version         = "0.09",
.\"     date            = "25 April 1995",
.\"     time            = "18:39:04 MDT",
.\"     filename        = "psposter.man",
.\"     address         = "Center for Scientific Computing
.\"                        Department of Mathematics
.\"                        University of Utah
.\"                        Salt Lake City, UT 84112
.\"                        USA",
.\"     telephone       = "+1 801 581 5254",
.\"     FAX             = "+1 801 581 4148",
.\"     checksum        = "57869 729 2803 18632",
.\"     email           = "beebe@math.utah.edu (Internet)",
.\"     codetable       = "ISO/ASCII",
.\"     keywords        = "PostScript, poster",
.\"     supported       = "yes",
.\"     docstring       = "This file contains the UNIX manual pages
.\"                        for the psposter utility, a program for
.\"                        creating simple one-page posters in
.\"                        PostScript.
.\"
.\"                        The checksum field above contains a CRC-16
.\"                        checksum as the first value, followed by the
.\"                        equivalent of the standard UNIX wc (word
.\"                        count) utility output of lines, words, and
.\"                        characters.  This is produced by Robert
.\"                        Solovay's checksum utility.",
.\"  }
.\" ====================================================================
.if t .ds Ps P\s-2OST\s+2S\s-2CRIPT\s+2
.if n .ds Ps PostScript
.if t .ds Te T\\h'-0.1667m'\\v'0.20v'E\\v'-0.20v'\\h'-0.125m'X
.if n .ds Te TeX
.TH PSPOSTER 1 "25 April 1995" "Version 0.09"
psposter \- create simple one-page colored posters in PostScript
.\"======================================================================
.SH SYNOPSIS
.B psposter
[
.B +author
]
[
.BI +bd " color"
]
[
.BI +bg " color"
]
.if n .ti +9n
[
.BI +bm " dimension"
]
[
.BI +bs " factor"
]
[
.BI +bw " dimension"
]
.if t .ti +.5i
.if n .ti +9n
[
.BI +c " nnn"
]
[
.B +copyright
]
[
.B +d
]
[
.BI +fg " color"
]
.if n .ti +9n
[
.BI +fn " fontname"
]
[
.BI +h " dimension"
]
[
.B +help
]
.if t .ti +.5i
.if n .ti +9n
[
.B +l
]
[
.BI +mw " dimension"
]
[
.BI +p " dimension"
]
.if n .ti +9n
[
.BI +paper " form"
]
[
.BI +r " angle"
]
[
.BI +s " factor"
]
.if t .ti +.5i
.if n .ti +9n
[
.BI +table " { 8/o | 8/h | 16/o | 16/h }"
]
.if n .ti +9n
[
.B +version
]
[
.BI +w " dimension"
]
[
.BI +x " dimension"
]
.if n .ti +9n
.if t .ti +.5i
[
.BI +y " dimension"
]
[
.B '?'
]
[
.B ++
]
.if t .ti +.5i
.if n .ti +9n
[ word(s) or
.RI < infile
]
.RI > \*(Ps\&-file
.\"======================================================================
.SH DESCRIPTION
.B psposter
creates an Encapsulated \*(Ps\& file containing a
one-page poster.  It may be included as a figure
in any document processing system that supports
inclusion of \*(Ps\& figures.
.PP
The poster text is typeset inside a colored box of
specified width and height, with an empty
surrounding margin, a colored border, and an inner
border margin.
.PP
The text area has a width of
.IR "(boxwidth - 2*marginwidth - 2*borderwidth - 2*bordermargin)" ,
and a height of
.IR "(boxheight - 2*marginwidth - 2*borderwidth - 2*bordermargin)" .
.PP
When landscape orientation is chosen, poster text
will be rotated 90 degrees counterclockwise, so
that it runs from bottom to top.  The width and
height of the poster box are
.I not
affected by this.
.\"======================================================================
.SH OPTIONS
Most options require values, which are supplied as
the
.I next
command-line argument.
.PP
The current implementation (in awk) requires
options to begin with a `+', rather than the
conventional `\-', so as to distinguish them from
.BR nawk (1)
options.
.PP
Color values can be specified as any named X
Window System color, or red/green/blue values in
0\|.\|.\|1 separated by characters other than digits
or period.  E.g. 0/1/0 is green, and 0.5:0.5:0.5
is 50% gray.  Letter case in color names is
.I not
significant.
.PP
Dimensions consist of a (possibly signed) number
followed by a \*(Te\& dimension unit:
.IR bp " (big points),"
.IR cc " (ciceros),"
.IR cm " (centimeters),"
.IR dd " (didot points),"
.IR in " (inches),"
.IR mm " (millimeters),"
.IR pc " (picas), "
.IR pt " (points),"
or
.IR sp " (scaled points)."
E.g. 72bp, 2.54cm, 67.542dd, 1in, 25.4mm,
6.023pc, 72.27pt, and 4\|736\|286.72sp all specify
a dimension of one inch.  \*(Ps\& uses
.I "big points"
as its default units, and its documentation refers
to them as points.
.PP
Poster text is given either as separate arguments
on the command line, or as separate lines of a
file supplied on standard input.  Multiple-word
arguments must be quoted or their spaces escaped
to be properly recognized.
.\"-----------------------------------------------
.TP \w'xxmwxdimension'u+3n
.B +author
Display an author credit on standard output and
quit.  Sometimes an executable program is
separated from its documentation and source code;
this option provides a way to recover from that.
.\"-----------------------------------------------
.TP
.BI +bd " color"
Define border color.
.I "Default: 0.5:0.5:0.5 (50% gray)."
.\"-----------------------------------------------
.TP
.BI +bg " color"
Define background color.
.I "Default: 0.9:0.9:0.9 (10% gray)."
.\"-----------------------------------------------
.TP
.BI +bm " dimension"
Define border margin, which is additional space
between the text frame and the colored border.
.I "Default: 0bp."
.\"-----------------------------------------------
.TP
.BI +bs " factor"
Set the baseline skip to factor times font
pointsize.  This value defines the interline
spacing, or
.IR leading ,
as it is called in typography.
.I "Default: 1.2."
.\"-----------------------------------------------
.TP
.BI +bw " dimension"
Define border width.
.I "Default: 10bp."
.\"-----------------------------------------------
.TP
.BI +c " nnn"
Define number of copies to print.
.I "Default: 1."
.\"-----------------------------------------------
.TP
.B +copyright
Display copyright information on standard output and
quit.
.\"-----------------------------------------------
.TP
.B +d
Display the font size on a second output page.
This option is useful for making a series of
posters with the same font size: specify
.B +d
for the poster with the longest text lines, then
use the output font size in an explicit
.B +p
option for all of the other posters.  This
round-about way is required because automatic text
sizing happens inside the \*(Ps\& output device,
rather than in
.BR psposter .
.\"-----------------------------------------------
.TP
.BI +fg " color"
Define foreground color.
.I "Default: 0:0:0 (black)."
.\"-----------------------------------------------
.TP
.BI +fn " fontname"
Select the \*(Ps\& font.  The name can be either
the long name of a Type 1 \*(Ps\& font, such as
.IR NewCenturySchlbk-BoldItalic ,
or the basename of a \*(Ps\& font in ASCII
.RI ( .pfa ),
or binary
.RI ( .pfb )
format, such as
.IR NewCenBI .
.B psposter
will also handle compressed variants of these
files from
.BR compress (1)
and
.BR gzip (1)
.RI ( .pfa.Z ,
.IR .pfb.Z ,
.IR .pfa.gz ,
and
.IR .pfb.gz ),
decompressing them on-the-fly.
.I "Default: Times-Bold."
.IP
Most \*(Ps\& printers contain a number of resident
fonts, but only a small number of downloadable
Type 1 \*(Ps\& fonts are available without a font
license, notably Adobe Courier and Utopia,
Bitstream Charter and Courier, and URW Antiqua,
Grotesk, and Nimbus.  These three vendors have
generously made these fonts available for free
distribution, but retain the copyrights.  More
than 2300 fonts are listed in the
.I afmfonts.map
file (see the
.B "\s-2ENVIRONMENT VARIABLES\s+2"
section below), but only a very small number are
likely to be available at a given site.
.IP
On a UNIX system, you can list the downloadable
fonts available at your site by
.IR "grep /FontName /usr/local/lib/afm/*.pfa" ,
assuming that
.I /usr/local/lib/afm
is where they reside.
.IP
For a list of printer resident fonts, consult your
printer documentation, or print the small \*(Ps\&
file,
.IR fontlist.ps ,
that is distributed with
.BR psposter .
For convenience, that file is reproduced here; you
can adjust PointSize, ColumnWidth, and the default
display font (Courier) if you wish:
.RS
.nf
%!
% fontlist.ps
% Send this file to a PostScript device to list
% the names of all of the resident fonts.
% [13-Dec-1994]
/inch { 72 mul } def
/PointSize 10 def
/ColumnWidth 3 inch def
/Courier findfont PointSize scalefont setfont
/n 0 def
/newcolumn
{
    /x x ColumnWidth add def
    x y moveto
    8 inch x gt { showpage newpage } if
} def
/newpage
{
    /x 1 inch def
    /y 10 inch def
    x y moveto
} def
/nstr 10 string def
/scratch 256 string def
newpage
(*)
{
    /n n 1 add def
    gsave
        n nstr cvs show
        (: ) show
        show
    grestore
    0 PointSize -1.2 mul rmoveto
    currentpoint exch pop 1 inch lt
    {
        newcolumn
    } if
}
scratch /Font resourceforall
showpage
.fi
.RE
.\"-----------------------------------------------
.TP
.BI +h " dimension"
Define poster height.
.I "Default: paper height."
.\"-----------------------------------------------
.TP
.B +help
Display a help message on standard output and
quit.
.\"-----------------------------------------------
.TP
.BI +l
Use landscape (instead of portrait) orientation
for text.  Text is rotated 90 degrees
counterclockwise, so that it runs from bottom to
top.  This is a shorthand for the rotation option
.B "+r 90"
(see below).  Only text,
.I not
the poster box, is affected by this option.
.\"-----------------------------------------------
.TP
.BI +mw " dimension"
Define margin width.  Most \*(Ps\& hardcopy output
devices are incapable of imaging closer than about
5mm to the edge of the display surface, so a
non-zero margin width is usually desirable.
.I "Default: 1in (or 25mm for ISO paper sizes)."
.\"-----------------------------------------------
.TP
.BI +p " dimension"
Set font pointsize.  Normally, the size is chosen
to make the poster text just fill the text frame,
either horizontally or vertically.  You can use
this option to force a particular font size,
e.g. to produce a series of posters with different
text, all at the same size.
.IP
Any poster text outside the text frame is clipped,
and not displayed.
.I "Default: automatically set."
.\"-----------------------------------------------
.TP
.BI +paper " form"
Set paper size.  See
.BR lptops (1)
for a list of supported sizes.
.IP
In addition to the standard sizes, any particular
size can be requested by giving it in the form
.IR widthxheight ,
e.g. 8.5inx11in or 210mmx297mm.
.IP
.I "Default: installation dependent: usually A (in"
.I "the USA) and A4 (elsewhere)."
.\"-----------------------------------------------
.TP
.BI +r " angle"
Set the text rotation angle, which must be a
multiple of 90 degrees.  It is measured
counterclockwise from the horizontal axis.  The
.B +l
landscape option is equivalent to
.BR "+r 90" .
.I "Default: 0."
.\"-----------------------------------------------
.TP
.BI +s " factor"
Define poster scale factor.  This option can be
used to resize a poster without having to change
any other command-line options.
.I "Default: 1."
.\"-----------------------------------------------
.TP
.BI +table " { 8/o | 8/h | 16/o | 16/h }"
When this option is given, command-line poster
words are ignored, and standard input is not read.
Instead,
.B psposter
makes a table of all of the characters in the
poster font.  The option value defines the number
of columns (8 or 16) and the label number base
(octal or hexadecimal).  The delimiter character
\&`/' can be any punctuation character.  With
16-column tables, you probably also want to
specify the landscape option
.BR +l .
.IP
The table title includes the font size and name.
The title, and the row/column labels, are always
set in black Times-BoldItalic text.
.IP
Unless an explicit
.BI +p " dimension"
option is provided, the font size is automatically
adjusted to an integer value that maximizes table
size.
.IP
.I "Default: no font table."
.\"-----------------------------------------------
.TP
.BI +version
Display the program version number on standard
output and quit.
.\"-----------------------------------------------
.TP
.BI +w " dimension"
Define poster width.
.I "Default: paper width."
.\"-----------------------------------------------
.TP
.BI +x " dimension"
Define horizontal offset.  A positive value moves
the poster right on the output surface, and is
.I unaffected
by any poster scale factor, or by the choice of
rotated text.
.I "Default: 0bp."
.\"-----------------------------------------------
.TP
.BI +y " dimension"
Define vertical offset.  A positive value moves
the poster up on the output surface, and is
.I unaffected
by any poster scale factor, or by the choice of
rotated text.
.I "Default: 0bp."
.\"-----------------------------------------------
.TP
.B ?
Display a help message and quit.
.\"-----------------------------------------------
.TP
.B ++
No more options: remaining words are for poster
text.  This option is only needed if any of the
poster words begin with a `+'.
.\"======================================================================
.SH "EXAMPLES"
Print a full-size poster with an announcement:
.RS
.nf
.I "psposter Chemistry 101 Examination 1:00pm--3:00pm | lpr"
.fi
.RE
.PP
Make a door sign in landscape mode:
.RS
.nf
.I "psposter +l +w 10cm +h 25cm 'Prof. Jane Smith' >doorsign.ps"
.fi
.RE
.PP
Print the same sign, in color:
.RS
.nf
.I "psposter +l +w 10cm +h 25cm +bd blue +bg skyblue \e"
.I "         +fg navyblue 'Prof. Jane Smith' | lpr"
.fi
If a \*(Ps\& printer is incapable of printing in
color, it will simulate color by shades of gray.
.RE
.PP
Make a sale sign:
.RS
.nf
.I "psposter +bg yellow <<END-OF-DATA >yardsale.ps"
.I "Terrific"
.I "Yard Sale"
.I "Today"
.I "123 Elm St."
.I "END-OF-DATA"
.fi
.RE
.PP
Make a seminar announcement:
.RS
.nf
.I "psposter +bg orange <<EOF >seminar.ps
.I "Biology Colloquium"
.I "Friday 23-Sep-1994"
.I "3pm--4pm"
.I "LSB 234"
.I ""
.I "Dr. Judith Brown"
.I "Sex Life of Gnats"
.I "EOF"
.fi
.RE
.PP
Make a Danish road sign (the octal escape sequences
select the letters AE and o-slash; see Appendix E
of the
.IR "PostScript Language Reference Manual" ,
Addison-Wesley, 1990, ISBN 0-201-18127-4):
.RS
.nf
.I "psposter +bg yellow +fg black '\e341resk\e371bing' 5km >vejskilt.ps"
.fi
.RE
.PP
Make another road sign in a downloaded font, supplying one leading and
trailing blank on each line:
.RS
.nf
.I "psposter +bg green +fg white +fn URWGroteskT-Bold +r -90 \e
.I "         ' Green River ' ' 106 miles ' >roadsign.ps"
.fi
.RE
(The stretch of highway I-70 in Utah from Salina
to Green River is claimed to be the longest in the
US Interstate Highway System without services.)
.PP
Make a poster showing the dingbat font layout:
.RS
.nf
.I "psposter +fn ZapfDingbats +table 8/o >dingbats.ps"
.fi
.RE
.\"======================================================================
.SH "ENVIRONMENT VARIABLES"
.TP \w'AFMPATH'u+2n
AFMPATH
Search path for \*(Ps\& font mapping file,
.RI ( afmfonts.map ),
and for downloadable fonts in
\*(Ps ASCII
.RI ( .pfa )
and binary
.RI ( .pfb )
formats.  The font mapping file connects long
\*(Ps\& font names with (usually shorter) file
names on the host computer.
.IP
On UNIX, the search path is a colon-separated list
of directories.  On other operating systems, the
search path follows the conventions of those
systems.
.TP
RGBPATH
Search path for the X Window System color
definition file,
.IR rgb.txt .
.\"======================================================================
.SH "FILES"
.TP \w'\fIafmfonts.map\fP'u+3n
.I afmfonts.map
\*(Ps\& font mapping file.  It is distributed,
together with some freely-distributable Type 1
fonts in
.I .pfa
and
.I .pfb
formats, and numerous Adobe Font Metric
.RI ( .afm )
files, with
.BR lptops (1).
.B psposter
looks for this file, and downloadable fonts, in the
.I AFMPATH
search path.
.IP
Typical lines in
.I afmfonts.map
look like this:
.RS
.nf
.I "% This line is a comment."
.I "% This font name is too long for some"
.I "% operating systems, so we store it under a"
.I "% shorter name.  The font files will be"
.I "% HelvNaBI.afm, containing the character"
.I "% metrics (assorted dimensions), and"
.I "% HelvNaBI.pfa (ASCII) or HelvNaBI.pfb"
.I "% (binary), containing encrypted \*(Ps\&"
.I "% definitions of the character shapes."
.I "Helvetica-Narrow-BoldOblique = HelvNaBI"
.fi
.RE
.TP
.I rgb.txt
Color mapping file distributed with the X Window
System.
.B psposter
looks for this file in the
.I RGBPATH
search path.
.IP
Typical lines in
.I rgb.txt
look like this:
.RS
.nf
.I "000 000 000         black"
.I "000 000 255         blue"
.I "000 255 000         green"
.I "000 255 255         cyan"
.I "255 000 000         red"
.I "255 000 255         magenta"
.I "255 255 000         yellow"
.I "255 255 255         white"
.I "250 235 215         antique white"
.I "250 235 215         AntiqueWhite"
.fi
.RE
.IP
There is no comment syntax.
.IP
The first three numbers define red, green, and
blue intensities on a scale of 0\|.\|.\|255, and
the remaining text on each line is the color name,
which, in the case of compound color names, appears
in two forms, one in lower case with blank
separators, and one without blanks, in mixed case.
.\"======================================================================
.SH "SEE ALSO"
.BR compress (1),
.BR dxpsview (1),
.BR ghostview (1),
.BR gs (1),
.BR gzip (1),
.BR lptops (1),
.BR pageview (1),
.BR rgb (1),
.BR tex (1).
.\"======================================================================
.SH AUTHOR
.nf
Nelson H. F. Beebe, Ph.D.
Center for Scientific Computing
Department of Mathematics
University of Utah
Salt Lake City, UT 84112
Tel: +1 801 581 5254
FAX: +1 801 581 4148
Email: <beebe@math.utah.edu>
.fi
.\"======================================================================
.SH COPYRIGHT
This program is in the
.BR "public domain" .
.\"======================================================================
.SH AVAILABILITY
Internet source distribution of
.B psposter
is available through the World-Wide Web Uniform
Resource Locator addresses
.RS
.nf
.I "ftp://ftp.math.utah.edu/pub/misc/psposter-0.08.tar.z"
.I "ftp://ftp.math.utah.edu/pub/misc/psposter-0.08.zip"
.I "ftp://ftp.math.utah.edu/pub/misc/psposter-0.08.zoo"
.fi
.RE
.\"==============================[The End]==============================
